Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf3d
Class AgentFigure3D

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw3d.Figure3D
              org.eclipse.draw3d.ShapeFigure3D
                  org.eclipse.amp.agf3d.AgentFigure3D

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure, org.eclipse.draw3d.geometry.IHost3D, org.eclipse.draw3d.geometryext.SyncHost3D, org.eclipse.draw3d.IFigure2DHost3D, org.eclipse.draw3d.IFigure3D, org.eclipse.draw3d.picking.Pickable, org.eclipse.draw3d.Renderable

    public class AgentFigure3D

extends org.eclipse.draw3d.ShapeFigure3D

Author:
  mparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`org.eclipse.draw2d.Figure.FigureIterator, org.eclipse.draw2d.Figure.IdentitySearch`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`org.eclipse.draw2d.IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw3d.ShapeFigure3D
`m_shape`

Fields inherited from class org.eclipse.draw3d.Figure3D
`connectionLayer, friend, helper, log, m_alpha, m_paraxialBounds, preferredSize3D, repaint2DComponents, updatingBounds`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`AgentFigure3D(AgentEdit3DPart agentEdit3DPart)`

Method Summary
`protected org.eclipse.draw3d.shapes.Shape` | `createShape()`
`org.eclipse.draw3d.ISurface` | `getSurface()`
`void` | `revalidate()`

Methods inherited from class org.eclipse.draw3d.ShapeFigure3D
`collectRenderFragments, getDistance, getParaxialBoundingBox, getShape`

Methods inherited from class org.eclipse.draw3d.Figure3D
`add, createPosition3D, findFigureAt, findMouseEventTargetAt, fireFigureMoved, getAlpha, getAncestor3D, getBounds, getBounds3D, getChildren2D, getChildren3D, getConnectionLayer, getDescendants3D, getParentHost3D, getPosition3D, getPreferredSize3D, getRenderContext, getScene, intersects, invalidate, invalidateParaxialBounds, invalidateParaxialBoundsTree, invalidateTree, paint, paintBorder, paintChildren, paintFigure, positionChanged, remove, setAlpha, setPreferredSize3D, toString, transformFromParent, transformToAbsolute, transformToParent, transformToRelative, translateFromParent, translateToParent, useLocalCoordinates, validate`

Methods inherited from class org.eclipse.draw2d.Figure
`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paintClientArea, primTranslate, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateToAbsolute, translateToRelative`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.IFigure
`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAtExcluding, getBackgroundColor, getBorder, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateToAbsolute, translateToRelative`

Methods inherited from interface org.eclipse.draw3d.geometryext.SyncHost3D
`setBounds`

Constructor Detail

### AgentFigure3D

    public AgentFigure3D(AgentEdit3DPart agentEdit3DPart)

Method Detail

### getSurface

    public org.eclipse.draw3d.ISurface getSurface()

  Specified by:
    `getSurface` in interface `org.eclipse.draw3d.IFigure2DHost3D`
  Overrides:
    `getSurface` in class `org.eclipse.draw3d.Figure3D`

### revalidate

    public void revalidate()

  Specified by:
    `revalidate` in interface `org.eclipse.draw2d.IFigure`
  Overrides:
    `revalidate` in class `org.eclipse.draw3d.Figure3D`
  See Also:
    `IFigure.revalidate()`

### createShape

    protected org.eclipse.draw3d.shapes.Shape createShape()

  Specified by:
    `createShape` in class `org.eclipse.draw3d.ShapeFigure3D`
  Returns:
  See Also:
    `ShapeFigure3D.createShape()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD